> ## Documentation Index
> Fetch the complete documentation index at: https://docs.clinia.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List summaries

> Retrieve a list of summaries with optional filtering and pagination.



## OpenAPI

````yaml /api-reference/hermes.yml get /ai/v1/summaries
openapi: 3.1.0
info:
  title: AI Engine
  description: Turn data into health intelligence
  version: 1.0.0
servers:
  - url: https://api.{workspaceId}.clinia.cloud
    variables:
      workspaceId:
        default: ''
        description: The workspace id.
security: []
paths:
  /ai/v1/summaries:
    get:
      tags:
        - Summaries
      summary: List summaries
      description: Retrieve a list of summaries with optional filtering and pagination.
      parameters:
        - in: query
          name: page
          schema:
            type: integer
            description: The page number to retrieve.
            minimum: 0
            default: 0
          required: false
          description: The page number to retrieve.
        - in: query
          name: perPage
          schema:
            type: integer
            description: The number of elements per page.
            exclusiveMinimum: 0
            default: 20
          required: false
          description: The number of elements per page.
        - in: query
          name: patientId
          schema:
            type: string
            description: The patient id to filter summaries by.
          required: false
          description: The patient id to filter summaries by.
        - in: query
          name: summaryTemplateId
          schema:
            type: string
            description: The summary template id to filter summaries by.
          required: false
          description: The summary template id to filter summaries by.
        - in: header
          name: x-user-id
          schema:
            type: string
          required: false
          description: >-
            The ID of the user making the request. Used to associate the request
            with a specific user.
      responses:
        '200':
          description: List of summaries
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        createdAt:
                          type: string
                          format: date-time
                        patientId:
                          type: string
                        summaryTemplateId:
                          type:
                            - string
                            - 'null'
                        content:
                          type: string
                      required:
                        - id
                        - createdAt
                        - patientId
                        - summaryTemplateId
                        - content
                    description: The list of items.
                  meta:
                    type: object
                    properties:
                      total:
                        type: integer
                        minimum: 0
                        description: The total number of items available.
                      page:
                        type: integer
                        minimum: 0
                        description: The current page number.
                      perPage:
                        type: integer
                        exclusiveMinimum: 0
                        description: The number of items per page.
                    required:
                      - total
                      - page
                      - perPage
                required:
                  - data
                  - meta
        '400':
          description: Invalid request parameters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
              example:
                code: 400
                type: INVALID_ARGUMENT
                message: Invalid request parameters
        '401':
          description: Authentication required
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
              example:
                code: 401
                type: UNAUTHENTICATED
                message: Unauthenticated
        '403':
          description: Permission denied
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
              example:
                code: 403
                type: PERMISSION_DENIED
                message: Permission denied
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
              example:
                code: 500
                type: INTERNAL
                message: Internal Server Error
components:
  schemas:
    ApiError:
      type: object
      properties:
        code:
          type: number
          exclusiveMinimum: 0
        type:
          type: string
          enum:
            - ALREADY_EXISTS
            - FAILED_PRECONDITION
            - INTERNAL
            - INVALID_ARGUMENT
            - NOT_FOUND
            - OUT_OF_RANGE
            - UNIMPLEMENTED
            - UNAUTHENTICATED
            - PERMISSION_DENIED
            - CONTENT_TOO_LARGE
            - UNSUPPORTED_MEDIA_TYPE
        message:
          type: string
      required:
        - code
        - type
        - message

````